Subject: RE: [Simple] Re: Draft-campbell-simple-im-session-01: Head ofLin e Blocking

From: Adam Roach <[email-masked]>
Date: Fri, 25 Apr 2003 18:20:22 -0500

> -----Original Message-----
> From: James Undery [mailto:[email-masked]]
> 
> My thought is that some HOL fixing mechanism is needed for 
> large files, but
> I am not sure chunking is a good idea. My problem is that you 
> get a 5GB file
> all but the last "chunk", how long do you wait to discard it, 
> with a stream
> based protocol (e.g. TCP without chunking or SCTP) a timeout 
> is appropriate,
> but when the data is arriving in datagrams (or chunks) you 
> have to take in
> to account other factors (e.g. network traffic conditions), 
> however, as I
> said it's a gut feeling, ignore at your leisure.

I don't think it's a major issue. Only the endpoints need to
worry about holding on to this state, and it can be dropped
when the session is torn down.

/a
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple